ru.bitel.bgbilling.modules.softline.common.bean

## Enum SubscriptionStatus

- java.lang.Object
- - java.lang.Enum<SubscriptionStatus>
  - - ru.bitel.bgbilling.modules.softline.common.bean.SubscriptionStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SubscriptionStatus>, GuiTitlable

      public enum SubscriptionStatus
      extends java.lang.Enum<SubscriptionStatus>
      implements GuiTitlable

  Статус/состоние подписки в системе SoftLine

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE`
    `SUSPEND`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `getDescription()`
    `static java.lang.String` | `getDescription(int code)`
    `static SubscriptionStatus` | `getDescription(java.lang.String value)`
    `java.lang.String` | `getGuiTitle()` Строка - имя объекта.
    `java.lang.String` | `getStatus()`
    `static SubscriptionStatus` | `valueOf(int code)`
    `static SubscriptionStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SubscriptionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final SubscriptionStatus ACTIVE

    - #### SUSPEND

          public static final SubscriptionStatus SUSPEND

  - ### Method Detail

    - #### values

          public static SubscriptionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubscriptionStatus c : SubscriptionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubscriptionStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### getStatus

          public java.lang.String getStatus()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getDescription

          public static SubscriptionStatus getDescription(java.lang.String value)

    - #### getDescription

          public static java.lang.String getDescription(int code)

    - #### valueOf

          public static SubscriptionStatus valueOf(int code)

    - #### getGuiTitle

          public java.lang.String getGuiTitle()

      Description copied from interface: `GuiTitlable`
      Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
      Specified by:
        `getGuiTitle` in interface `GuiTitlable`
      Returns:
        Строка - представление объекта.